Delete avatar
Delete a user-uploaded avatar for an account.
After deletion, the avatar endpoint will fall back to the enriched avatar or an account-type-aware fallback icon.
This endpoint only accepts accountID values for the uniqueID parameter.
To access this endpoint using an access token
you'll need to specify the /accounts.write scope.
DELETE
/avatars/{uniqueID}
curl -X DELETE "https://api.moov.io/avatars/{uniqueID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"mc, _ := moov.NewClient()
var accountID string
mc.DeleteAvatar(ctx, accountID)
import { Moov } from "@moovio/sdk";
const moov = new Moov();
async function run() {
const result = await moov.avatars.delete({
username: "",
}, {
uniqueID: "<id>",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Operations;
$sdk = MoovPhp\Moov::builder()->build();
$requestSecurity = new Operations\DeleteAvatarSecurity(
username: '',
);
$response = $sdk->avatars->delete(
security: $requestSecurity,
uniqueID: '<id>'
);
if ($response->statusCode === 200) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.operations.DeleteAvatarResponse;
import io.moov.sdk.models.operations.DeleteAvatarSecurity;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws GenericError, Exception {
Moov sdk = Moov.builder()
.build();
DeleteAvatarResponse res = sdk.avatars().delete()
.security(DeleteAvatarSecurity.builder()
.username("")
.build())
.uniqueID("<id>")
.call();
// handle response
}
}from moovio_sdk import Moov
from moovio_sdk.models import operations
with Moov() as moov:
res = moov.avatars.delete(security=operations.DeleteAvatarSecurity(
username="",
), unique_id="<id>")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new
res = s.avatars.delete(security: Models::Operations::DeleteAvatarSecurity.new(
basic_auth: Models::Components::SchemeBasicAuth.new(
username: '',
password: ''
)
), unique_id: '<id>')
if res.status_code == 200
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;
var sdk = new MoovClient();
var res = await sdk.Avatars.DeleteAsync(
security: new DeleteAvatarSecurity() {
BasicAuth = new SchemeBasicAuth() {
Username = "",
Password = "",
},
},
uniqueID: "<id>"
);
// handle responseThe request completed successfully, but there is no content to return.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The server could not understand the request due to invalid syntax.
{
"error": "string"
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
Path parameters
uniqueID
string
required
The accountID to delete the avatar for. Only accountID values are accepted for writes.